Index: graph_displayer_canvas-edge.cc
===================================================================
--- graph_displayer_canvas-edge.cc	(revision 179)
+++ graph_displayer_canvas-edge.cc	(revision 204)
@@ -245,5 +245,5 @@
 	  ostr << number;
 	  
-	  edgetextmap[i]->property_text().set_value(ostr.str());
+// 	  edgetextmap[i]->property_text().set_value(ostr.str());
 	}
 
@@ -256,5 +256,5 @@
 	  ostr << number;
 	  
-	  edgetextmap[edge]->property_text().set_value(ostr.str());
+// 	  edgetextmap[edge]->property_text().set_value(ostr.str());
     }
 
@@ -275,14 +275,14 @@
 	{
 	  edgemap_to_edit="";
-	  edgetextmap[i]->property_text().set_value("");
-	}
-
-    }
-  else
-    {
-      edgetextmap[edge]->property_text().set_value("");
-    }
-
-  return 0;
-
-};
+// 	  edgetextmap[i]->property_text().set_value("");
+	}
+
+    }
+  else
+    {
+//       edgetextmap[edge]->property_text().set_value("");
+    }
+
+  return 0;
+
+};
Index: graph_displayer_canvas-event.cc
===================================================================
--- graph_displayer_canvas-event.cc	(revision 187)
+++ graph_displayer_canvas-event.cc	(revision 204)
@@ -341,9 +341,9 @@
       (nodesmap[active_node])->show();
 
-      nodetextmap[active_node]=new Gnome::Canvas::Text(displayed_graph,
-          clicked_x+node_property_defaults[N_RADIUS]+5,
-          clicked_y+node_property_defaults[N_RADIUS]+5, "");
-      nodetextmap[active_node]->property_fill_color().set_value("darkblue");
-      nodetextmap[active_node]->raise_to_top();
+//       nodetextmap[active_node]=new Gnome::Canvas::Text(displayed_graph,
+//           clicked_x+node_property_defaults[N_RADIUS]+5,
+//           clicked_y+node_property_defaults[N_RADIUS]+5, "");
+//       nodetextmap[active_node]->property_fill_color().set_value("darkblue");
+//       nodetextmap[active_node]->raise_to_top();
 
 //       mapwin.updateNode(active_node);
@@ -467,9 +467,9 @@
             text_pos+=(XY(10,10));
 
-            edgetextmap[active_edge]=new Gnome::Canvas::Text(displayed_graph,
-                text_pos.x, text_pos.y, "");
-            edgetextmap[active_edge]->property_fill_color().set_value(
-                "darkgreen");
-            edgetextmap[active_edge]->raise_to_top();
+//             edgetextmap[active_edge]=new Gnome::Canvas::Text(displayed_graph,
+//                 text_pos.x, text_pos.y, "");
+//             edgetextmap[active_edge]->property_fill_color().set_value(
+//                 "darkgreen");
+//             edgetextmap[active_edge]->raise_to_top();
 
             propertyUpdate(active_edge);
@@ -639,8 +639,8 @@
 	      {
 		//at the same time only one can be active
-		if(nodetextmap[i]==active_item)
-		  {
-		    clicked_node=i;
-		  }
+// 		if(nodetextmap[i]==active_item)
+// 		  {
+// 		    clicked_node=i;
+// 		  }
 	      }
 
@@ -664,8 +664,8 @@
 		  {
 		    //at the same time only one can be active
-		    if(edgetextmap[i]==active_item)
-		      {
-			clicked_edge=i;
-		      }
+// 		    if(edgetextmap[i]==active_item)
+// 		      {
+// 			clicked_edge=i;
+// 		      }
 		  }
 
@@ -691,38 +691,38 @@
 
 		//and there is activated map
-		if(nodetextmap[clicked_node]->property_text().get_value()!="")
-		  {
-		    //activate the general variable for it
-		    active_node=clicked_node;
-
-		    //create a dialog
-		    Gtk::Dialog dialog("Edit value", true);
-		    dialog.add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
-		    dialog.add_button(Gtk::Stock::OK, Gtk::RESPONSE_ACCEPT);
-		    Gtk::VBox* vbox = dialog.get_vbox();
-		    Gtk::SpinButton spin(0.0, 4);
-		    spin.set_increments(1.0, 10.0);
-		    spin.set_range(-1000000.0, 1000000.0);
-		    spin.set_numeric(true);
-		    spin.set_value(atof(nodetextmap[active_node]->property_text().get_value().c_str()));
-		    vbox->add(spin);
-		    spin.show();
-		    switch (dialog.run())
-		      {
-		      case Gtk::RESPONSE_NONE:
-		      case Gtk::RESPONSE_CANCEL:
-			break;
-		      case Gtk::RESPONSE_ACCEPT:
-			double new_value = spin.get_value();
-			(*(mytab.mapstorage).nodemap_storage[nodemap_to_edit])[active_node] =
-			  new_value;
-			std::ostringstream ostr;
-			ostr << new_value;
-			nodetextmap[active_node]->property_text().set_value(ostr.str());
-			//mapwin.updateNode(active_node);
-			//mapwin.updateNode(Node(INVALID));
-			propertyUpdate(Node(INVALID));
-		      }
-		  }
+// 		if(nodetextmap[clicked_node]->property_text().get_value()!="")
+// 		  {
+// 		    //activate the general variable for it
+// 		    active_node=clicked_node;
+
+// 		    //create a dialog
+// 		    Gtk::Dialog dialog("Edit value", true);
+// 		    dialog.add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
+// 		    dialog.add_button(Gtk::Stock::OK, Gtk::RESPONSE_ACCEPT);
+// 		    Gtk::VBox* vbox = dialog.get_vbox();
+// 		    Gtk::SpinButton spin(0.0, 4);
+// 		    spin.set_increments(1.0, 10.0);
+// 		    spin.set_range(-1000000.0, 1000000.0);
+// 		    spin.set_numeric(true);
+// 		    spin.set_value(atof(nodetextmap[active_node]->property_text().get_value().c_str()));
+// 		    vbox->add(spin);
+// 		    spin.show();
+// 		    switch (dialog.run())
+// 		      {
+// 		      case Gtk::RESPONSE_NONE:
+// 		      case Gtk::RESPONSE_CANCEL:
+// 			break;
+// 		      case Gtk::RESPONSE_ACCEPT:
+// 			double new_value = spin.get_value();
+// 			(*(mytab.mapstorage).nodemap_storage[nodemap_to_edit])[active_node] =
+// 			  new_value;
+// 			std::ostringstream ostr;
+// 			ostr << new_value;
+// 			nodetextmap[active_node]->property_text().set_value(ostr.str());
+// 			//mapwin.updateNode(active_node);
+// 			//mapwin.updateNode(Node(INVALID));
+// 			propertyUpdate(Node(INVALID));
+// 		      }
+// 		  }
 	      }
 	    else
@@ -734,39 +734,39 @@
 
 		  //and there is activated map
-		  if(edgetextmap[clicked_edge]->property_text().get_value()!="")
-		    {
-		      //activate the general variable for it
-		      active_edge=clicked_edge;
-
-		      //create a dialog
-		      Gtk::Dialog dialog("Edit value", true);
-		      dialog.add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
-		      dialog.add_button(Gtk::Stock::OK, Gtk::RESPONSE_ACCEPT);
-		      Gtk::VBox* vbox = dialog.get_vbox();
-		      Gtk::SpinButton spin(0.0, 4);
-		      spin.set_increments(1.0, 10.0);
-		      spin.set_range(-1000000.0, 1000000.0);
-		      spin.set_numeric(true);
-		      spin.set_value(atof(edgetextmap[active_edge]->property_text().get_value().c_str()));
-		      vbox->add(spin);
-		      spin.show();
-		      switch (dialog.run())
-			{
-			case Gtk::RESPONSE_NONE:
-			case Gtk::RESPONSE_CANCEL:
-			  break;
-			case Gtk::RESPONSE_ACCEPT:
-			  double new_value = spin.get_value();
-			  (*(mytab.mapstorage).edgemap_storage[edgemap_to_edit])[active_edge] =
-			    new_value;
-			  std::ostringstream ostr;
-			  ostr << new_value;
-			  edgetextmap[active_edge]->property_text().set_value(
-									      ostr.str());
-			  //mapwin.updateEdge(active_edge);
-			  //                   mapwin.updateEdge(Edge(INVALID));
-			  propertyUpdate(Edge(INVALID));
-			}
-		    }
+// 		  if(edgetextmap[clicked_edge]->property_text().get_value()!="")
+// 		    {
+// 		      //activate the general variable for it
+// 		      active_edge=clicked_edge;
+
+// 		      //create a dialog
+// 		      Gtk::Dialog dialog("Edit value", true);
+// 		      dialog.add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
+// 		      dialog.add_button(Gtk::Stock::OK, Gtk::RESPONSE_ACCEPT);
+// 		      Gtk::VBox* vbox = dialog.get_vbox();
+// 		      Gtk::SpinButton spin(0.0, 4);
+// 		      spin.set_increments(1.0, 10.0);
+// 		      spin.set_range(-1000000.0, 1000000.0);
+// 		      spin.set_numeric(true);
+// 		      spin.set_value(atof(edgetextmap[active_edge]->property_text().get_value().c_str()));
+// 		      vbox->add(spin);
+// 		      spin.show();
+// 		      switch (dialog.run())
+// 			{
+// 			case Gtk::RESPONSE_NONE:
+// 			case Gtk::RESPONSE_CANCEL:
+// 			  break;
+// 			case Gtk::RESPONSE_ACCEPT:
+// 			  double new_value = spin.get_value();
+// 			  (*(mytab.mapstorage).edgemap_storage[edgemap_to_edit])[active_edge] =
+// 			    new_value;
+// 			  std::ostringstream ostr;
+// 			  ostr << new_value;
+// 			  edgetextmap[active_edge]->property_text().set_value(
+// 									      ostr.str());
+// 			  //mapwin.updateEdge(active_edge);
+// 			  //                   mapwin.updateEdge(Edge(INVALID));
+// 			  propertyUpdate(Edge(INVALID));
+// 			}
+// 		    }
 		}
 	    break;
@@ -781,5 +781,5 @@
 void GraphDisplayerCanvas::deleteItem(Node node_to_delete)
 {
-  delete(nodetextmap[node_to_delete]);
+  //  delete(nodetextmap[node_to_delete]);
   delete(nodesmap[node_to_delete]);
   (mytab.mapstorage).graph.erase(node_to_delete);
@@ -788,5 +788,5 @@
 void GraphDisplayerCanvas::deleteItem(Edge edge_to_delete)
 {
-  delete(edgetextmap[edge_to_delete]);
+  //  delete(edgetextmap[edge_to_delete]);
   delete(edgesmap[edge_to_delete]);
   (mytab.mapstorage).graph.erase(edge_to_delete);
@@ -796,6 +796,6 @@
 {
   new_place+=(XY(10,10));
-  edgetextmap[forming_edge]->property_x().set_value(new_place.x);
-  edgetextmap[forming_edge]->property_y().set_value(new_place.y);
+//   edgetextmap[forming_edge]->property_x().set_value(new_place.x);
+//   edgetextmap[forming_edge]->property_y().set_value(new_place.y);
 }
 
@@ -849,5 +849,5 @@
   //repositioning node and its text
   moved_item->move(dx, dy);
-  nodetextmap[moved_node]->move(dx, dy);
+  //  nodetextmap[moved_node]->move(dx, dy);
 
   // the new coordinates of the centre of the node 
@@ -885,6 +885,6 @@
       XY text_pos=mytab.mapstorage.arrow_pos[ei];
       text_pos+=(XY(10,10));
-      edgetextmap[ei]->property_x().set_value(text_pos.x);
-      edgetextmap[ei]->property_y().set_value(text_pos.y);
+//       edgetextmap[ei]->property_x().set_value(text_pos.x);
+//       edgetextmap[ei]->property_y().set_value(text_pos.y);
     }
 
@@ -909,6 +909,6 @@
 	  XY text_pos=mytab.mapstorage.arrow_pos[ei];
 	  text_pos+=(XY(10,10));
-	  edgetextmap[ei]->property_x().set_value(text_pos.x);
-	  edgetextmap[ei]->property_y().set_value(text_pos.y);
+// 	  edgetextmap[ei]->property_x().set_value(text_pos.x);
+// 	  edgetextmap[ei]->property_y().set_value(text_pos.y);
 	}
     }
Index: graph_displayer_canvas-node.cc
===================================================================
--- graph_displayer_canvas-node.cc	(revision 179)
+++ graph_displayer_canvas-node.cc	(revision 204)
@@ -292,5 +292,5 @@
 	  ostr << number;
 	      
-	  nodetextmap[i]->property_text().set_value(ostr.str());
+	  //	  nodetextmap[i]->property_text().set_value(ostr.str());
 	}
     }
@@ -302,5 +302,5 @@
       ostr << number;
 	      
-      nodetextmap[node]->property_text().set_value(ostr.str());
+      //      nodetextmap[node]->property_text().set_value(ostr.str());
     }
   return 0;
@@ -320,11 +320,11 @@
 	{
 	  nodemap_to_edit="";
-	  nodetextmap[i]->property_text().set_value("");
-	}
-    }
-  else
-    {
-      nodetextmap[node]->property_text().set_value("");
-    }
-  return 0;
-};
+	  //	  nodetextmap[i]->property_text().set_value("");
+	}
+    }
+  else
+    {
+      //      nodetextmap[node]->property_text().set_value("");
+    }
+  return 0;
+};
Index: graph_displayer_canvas.cc
===================================================================
--- graph_displayer_canvas.cc	(revision 187)
+++ graph_displayer_canvas.cc	(revision 204)
@@ -73,5 +73,5 @@
     {
       delete nodesmap[n];
-      delete nodetextmap[n];
+      //      delete nodetextmap[n];
     }
   
@@ -79,5 +79,5 @@
     {
       delete edgesmap[e];
-      delete edgetextmap[e];
+      //      delete edgetextmap[e];
     }
 }
@@ -223,8 +223,8 @@
     text_pos+=(XY(10,10));
 
-    edgetextmap[i]=new Gnome::Canvas::Text(displayed_graph, text_pos.x, text_pos.y, "");
-    edgetextmap[i]->property_fill_color().set_value("darkgreen");
-    edgetextmap[i]->signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::mapEditEventHandler), false);
-    edgetextmap[i]->raise_to_top();
+//     edgetextmap[i]=new Gnome::Canvas::Text(displayed_graph, text_pos.x, text_pos.y, "");
+//     edgetextmap[i]->property_fill_color().set_value("darkgreen");
+//     edgetextmap[i]->signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::mapEditEventHandler), false);
+//     edgetextmap[i]->raise_to_top();
   }
 
@@ -251,9 +251,9 @@
         ((mytab.mapstorage).coords[i].y+node_property_defaults[N_RADIUS]+5));
 
-    nodetextmap[i]=new Gnome::Canvas::Text(displayed_graph,
-        text_pos.x, text_pos.y, "");
-    nodetextmap[i]->property_fill_color().set_value("darkblue");
-    nodetextmap[i]->signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::mapEditEventHandler), false);
-    nodetextmap[i]->raise_to_top();
+//     nodetextmap[i]=new Gnome::Canvas::Text(displayed_graph,
+//         text_pos.x, text_pos.y, "");
+//     nodetextmap[i]->property_fill_color().set_value("darkblue");
+//     nodetextmap[i]->signal_event().connect(sigc::mem_fun(*this, &GraphDisplayerCanvas::mapEditEventHandler), false);
+//     nodetextmap[i]->raise_to_top();
   }
 
@@ -285,5 +285,5 @@
   {
     delete nodesmap[n];
-    delete nodetextmap[n];
+    //    delete nodetextmap[n];
   }
 
@@ -291,5 +291,5 @@
   {
     delete edgesmap[e];
-    delete edgetextmap[e];
+    //    delete edgetextmap[e];
   }
 
